## tcp-wrappers 7.6.q

=== debian/changelog ===
tcp-wrappers (7.6.q-36build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:35:05 +0000

tcp-wrappers (7.6.q-36) unstable; urgency=medium

  * Added patch fix_gcc15 to fix the K&R prototypes. (Closes: #1097974)

 -- Marco d'Itri <md@linux.it>  Fri, 21 Feb 2025 23:51:22 +0100

tcp-wrappers (7.6.q-35) unstable; urgency=medium

  * Updated the Debian patch 12_makefile_config to support make --shuffle,
    but this time for real thanks to Santiago Vila. (Closes: #1091028)

 -- Marco d'Itri <md@linux.it>  Sun, 05 Jan 2025 15:25:23 +0100

tcp-wrappers (7.6.q-34) unstable; urgency=medium

  * Updated the Debian patch 12_makefile_config to support make --shuffle.

 -- Marco d'Itri <md@linux.it>  Sat, 07 Dec 2024 07:10:38 +0100

tcp-wrappers (7.6.q-33) unstable; urgency=medium

  * Disable support for NIS netgroups to stop linking the library with
    libnsl and its many dependencies. (Closes: #1068311)

 -- Marco d'Itri <md@linux.it>  Fri, 05 Apr 2024 03:22:50 +0200

tcp-wrappers (7.6.q-32) unstable; urgency=medium

  [ Bastian Germann ]
  * Converted debian/copyright to machine-readable format. (Closes: #1012631)

  [ Marco d'Itri ]
  * Added some autopkgtest tests.
  * Enabled hardening=+all.

 -- Marco d'Itri <md@linux.it>  Wed, 28 Dec 2022 02:39:26 +0100

tcp-wrappers (7.6.q-31) unstable; urgency=medium

  [ Helmut Grohne ]
  * Added an explicit build dependency on libnsl-dev. (Closes: #972188)

 -- Marco d'Itri <md@linux.it>  Thu, 12 Nov 2020 02:31:44 +0100

tcp-wrappers (7.6.q-30) unstable; urgency=medium

  * Restored the support for cross building, thanks to Helmut Grohne.
    (Closes: #945483)

 -- Marco d'Itri <md@linux.it>  Wed, 27 Nov 2019 15:06:53 +0100

tcp-wrappers (7.6.q-29) unstable; urgency=medium

  * Moved the library from /lib/ to /usr/lib/. (Closes: #941047)
  * Added support for the musl libc, because they are too good to
    implement 30-years-old interfaces. (Closes: #941839)

 -- Marco d'Itri <md@linux.it>  Sun, 24 Nov 2019 23:29:52 +0100

tcp-wrappers (7.6.q-28) unstable; urgency=medium

  * Demoted everything to optional priority.
  * Updated patch fix_warnings2 to fix more undefined functions.
  * Fixed patch size_t to actually use socklen_t.

 -- Marco d'Itri <md@linux.it>  Mon, 18 Feb 2019 01:54:18 +0100

tcp-wrappers (7.6.q-27) unstable; urgency=medium

  * Stop recommending tcpd. (Closes: #855919)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Oct 2017 00:22:41 +0100

tcp-wrappers (7.6.q-26) unstable; urgency=medium

  * Added patch fix_warnings2 to fix undefined functions.

 -- Marco d'Itri <md@linux.it>  Mon, 26 Dec 2016 00:08:55 +0100

tcp-wrappers (7.6.q-25) unstable; urgency=medium

  * Replace portmap with rpcbind in the hosts.* files comments.
    (Closes: #722230)
  * Update patch fix_warnings: fix the declaration of fix_options().
    (Closes: #710391)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Dec 2013 07:05:06 +0100

tcp-wrappers (7.6.q-24) unstable; urgency=low

  * Do not remove /etc/hosts.{allow,deny} on purge of libwrap0 if it is
    installed for multiple architectures. (Closes: #682425)
    Patch courtesy of Jonathan Nieder.

 -- Marco d'Itri <md@linux.it>  Mon, 30 Jul 2012 03:37:41 +0200

tcp-wrappers (7.6.q-23) unstable; urgency=medium

  * Correctly install libwrap.{a,so} in the multiarch directory.
    (Closes: #658765)

 -- Marco d'Itri <md@linux.it>  Sun, 19 Feb 2012 01:42:27 +0100

tcp-wrappers (7.6.q-22) unstable; urgency=medium

  * Added patch ignore_missing_inetdconf: stop tcpdmatch and tcpdchk
    from aborting if /etc/inetd.conf does not exist. (Closes: #650826)
  * Enabled hardening with dpkg-buildflags, and this time for real.
  * libwrap0-dev marked "Multi-Arch: same".
  * Added patch initgroups: properly set supplementary group IDs, taken
    from the Red Hat package.

 -- Marco d'Itri <md@linux.it>  Mon, 05 Dec 2011 05:56:54 +0100

tcp-wrappers (7.6.q-21) unstable; urgency=medium

  * Added the proper Breaks/Replaces directives to deal with the man pages
    moved in 7.6.q-20. (Closes: #631252, #631311)
  * Enabled IPv6 support for the Hurd build. (Closes: #631247)
  * Enabled hardening with hardening-includes.

 -- Marco d'Itri <md@linux.it>  Fri, 24 Jun 2011 00:21:44 +0200

tcp-wrappers (7.6.q-20) unstable; urgency=low

  * Added patch fix_parsing_long_lines: fixes the /etc/hosts.{allow,deny}
    parser to properly detect lines longer than 2047 characters which
    would cause the caller to hang forever in a loop. (Closes: #596261)
  * Fixed the link ordering of the shared library, patch courtesy of
    Matthias Klose of Ubuntu. (Closes: #609598)
  * Moved the *.5 man pages from tcpd to libwrap0. (Closes: #630244)
  * Converted to multiarch the libwrap0 and tcpd packages.
  * Switched to debhelper level 8.
  * Hopefully added proper support for overriding CFLAGS and LDFLAGS.
  * Removed the -D_REENTRANT flag which has been useless since libc6.

 -- Marco d'Itri <md@linux.it>  Tue, 21 Jun 2011 23:51:38 +0200

tcp-wrappers (7.6.q-19) unstable; urgency=low

  * Made piuparts happy by removing /etc/hosts.{allow,deny} on purge, even
    if the package is never purged on real systems.
  * Moved the documentation in libwrap0 and made the documentation
    directory of the other packages a symlink.
  * Converted to source format 3.0 (quilt).
  * Switched to debhelper level 7.

 -- Marco d'Itri <md@linux.it>  Sun, 23 May 2010 16:32:42 +0200

tcp-wrappers (7.6.q-18) unstable; urgency=medium

  * Updated 13_shlib_weaksym again to make the library build even if
    libwrap0-dev is not installed. (Closes: #535509)

 -- Marco d'Itri <md@linux.it>  Thu, 02 Jul 2009 22:56:33 +0200

tcp-wrappers (7.6.q-17) unstable; urgency=medium

  * Moved the creation of /etc/hosts.{allow,deny} from tcpd to libwrap0.
  * Removed the debconf question.
  * tcpd demoted from important to standard priority.

