=== debian/tests/control ===
Tests: build
Depends: build-essential, libwrap0-dev

Tests: tcpdmatch
Depends: tcpd
Restrictions: needs-internet
